Log conversion events (server-to-server, up to 10,000)
curl --request POST \
--url https://api.semicola.com/api/v2/buyer/event-sources/{key}/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"events": [
{
"eventTime": "2023-11-07T05:31:56Z",
"eventId": "<string>",
"value": 1,
"currency": "<string>"
}
],
"advertiserId": 4503599627370495,
"confirm": true,
"confirmationUid": "<string>"
}
'import requests
url = "https://api.semicola.com/api/v2/buyer/event-sources/{key}/events"
payload = {
"events": [
{
"eventTime": "2023-11-07T05:31:56Z",
"eventId": "<string>",
"value": 1,
"currency": "<string>"
}
],
"advertiserId": 4503599627370495,
"confirm": True,
"confirmationUid": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
events: [
{
eventTime: '2023-11-07T05:31:56Z',
eventId: '<string>',
value: 1,
currency: '<string>'
}
],
advertiserId: 4503599627370495,
confirm: true,
confirmationUid: '<string>'
})
};
fetch('https://api.semicola.com/api/v2/buyer/event-sources/{key}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"accepted": 4503599627370495,
"rejected": [
{
"index": 0,
"reason": "<string>"
}
],
"health": "not_seen"
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Event Sources
Log conversion events (server-to-server, up to 10,000)
POST
/
api
/
v2
/
buyer
/
event-sources
/
{key}
/
events
Log conversion events (server-to-server, up to 10,000)
Authorizations
bearerAuthsessionCookie
API key or OAuth access token.
Path Parameters
Minimum string length:
1Body
application/json